Visualizzazione risultati 1 fino 3 di 3

Discussione: PHPMyAdmin quale versione di codice va usato quello procedurale oppure quello OOP?

  1. #1
    Data registrazione
    22-10-2021
    Messaggi
    8

    Predefinito PHPMyAdmin quale versione di codice va usato quello procedurale oppure quello OOP?

    Per utilizzare PHPMyAdmin quale versione di codice va usato quello procedurale oppure quello OOP?
    PDO va bene oppure va usato quello specifico di mariadb? Considerate che ho il PHP8

  2. #2
    GraphOGLRisorse non  connesso AlterGuru 2500
    Data registrazione
    14-02-2015
    Messaggi
    2,911

    Predefinito

    Salve,
    su AlterVista attualmente il databese solo MySQL, non supportato mariadb.

    Pu usare MySQLI o PDO, la scelta su quale usare, principalmente dipende dalle proprie comptentenze e esigense in materia. Se si ha gi dimestichezza con le rmai dismesse funzioni MySQL (da php 7.0 in poi), preferibile usare MySQLI poich simili.

    Anche il codice procedurale utulizzabile di per s, dipende poi da ci che si vuol fare. Certamente in casi di codice che ha a che fare con questioni di sicurezza, l'uso del codice procedurare, specie per MySQL e PDO sconsigliato.

    Comunque anche l'uso di PDO va bene ugualmente, se lo preferisce a MySQLI.

    Cordiuali saluti.

  3. #3
    Data registrazione
    22-10-2021
    Messaggi
    8

    Predefinito

    Grazie mille

Tags for this Thread

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •